﻿@model IEnumerable<Applicant>
@{
    ViewData["Title"] = "Applicants";
}


<h1>
    Applicants
    <a class="btn btn-success float-right" asp-action="Apply" asp-controller="Application"><i class="fa fa-user-plus"></i> Apply Now</a>
</h1>

<div class="table-responsive">
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th>Options</th>
                <th>Firstname</th>
                <th>Lastname</th>
                <th>Middlename</th>
                <th>Birthday</th>
                <th>Religion</th>
                <th>Nationality</th>
                <th>Registered Date</th>
            </tr>
        </thead>
        <tbody>
            @if (Model.Any())
            {
                foreach (var applicant in Model)
                {
                    <tr>
                        
                        <td>
                            <a title="Click to see open positions and apply." asp-action="Index" asp-controller="OpenPosition" asp-route-applicantID="@applicant.ApplicantID"><i class="fa fa-search-plus text-success"></i></a>
                            <a asp-action="Details" asp-route-id="@applicant.ApplicantID"><i class="fa fa-info-circle text-success"></i></a>
                            <a asp-action="Edit" asp-route-id="@applicant.ApplicantID"><i class="fa fa-pen text-warning"></i></a>
                        </td>
                        <td>@applicant.Firstname</td>
                        <td>@applicant.Lastname</td>
                        <td>@applicant.Middlename</td>
                        <td>@applicant.DateOfBirth.ToShortDateString()</td>
                        <td>@applicant.Religion</td>
                        <td>@applicant.Nationality</td>
                        <td>@applicant.RegistredDate</td>
                    </tr>
                }
            }
            else
            {
                <tr>
                    <td colspan="100"><center>No records found!</center></td>
                </tr>
            }

        </tbody>
    </table>


</div>
